<%@ page language="C#" autoeventwireup="true" inherits="admin_seo_clientcontactlist, localhost_deploy" %>
<%@ Register Src="../../common/pageContent.ascx" TagName="pageContent" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head  runat="server">
<title>客户列表页面</title>
<link href="/admin/common/client.css" rel="stylesheet" type="text/css" />

</head>
<body class="mg3">
<%
	PageContent.ImagePageBar=true;
  PageContent.Table="sys_Client";
	PageContent.Url = "ClientContactlist.aspx?ord=" + Para("ord") + "&pn=@pagenumber@";
	
	string s_where="";
	if(Para("cid")!="")
	{
		s_where=" and a.c_id="+Para("cid");
	}
	
	PageContent.SQL=" select A_Name,a.C_Type,a.C_Name,b.C_CID,b.C_ID,b.C_Time,b.C_Memo as _html_memo,b.C_Admin from sys_Client a,Sys_ClientContact b,sys_admin where A_ID=C_Admin and a.C_ID=b.C_CID "+s_where;
	
	PageContent.PageBody("@@Const.PageTable()@@","@@Const.PageBar(\" ##Const.AddButton('adminitem.aspx?ord=" + Para("ord") + "')## ##Const.DeleteButton()##	\")@@","<tr id='trhead'>@content@</tr>","<tr id='tr_@C_ID@'>@content@</tr>");
	
	PageContent.Action="";//本页处理
	PageContent.AddList("@@Const.RowToggleAll()@@","@@Const.RowToggleItem('@C_ID@')@@");
	PageContent.AddList("<td>编号</td>","<td>@ItemNumber@</td>");

	PageContent.AddList("@@Const.PageOrderField('ClientContactlist.aspx?ord=','C_Name','" + Para("ord") + "','客户姓名')@@","<td>@C_Name@</td>");
  PageContent.AddList("@@Const.PageOrderField('ClientContactlist.aspx?ord=','C_Type','" + Para("ord") + "','客户类型')@@", "<td>@@Csharp.GetSelectValue('@C_Type@','0,潜在客户|1,购买客户|2,热门客户')@@</td>");
  PageContent.AddList("@@Const.PageOrderField('ClientContactlist.aspx?ord=','b.C_Time','" + Para("ord") + "','联系时间')@@","<td>@C_Time@</td>");
  PageContent.AddList("@@Const.PageOrderField('ClientContactlist.aspx?ord=','C_Admin','" + Para("ord") + "','销售人员')@@","<td>@A_Name@</td>");
  PageContent.AddList("<td >详细内容</td>","<td  style='text-align:left;padding:0px 10px;'>@_html_memo@</td>");
  PageContent.AddList("<td >&nbsp;</td>","<td><a href='clientcontactitem.aspx?id=@C_ID@&cid=@C_CID@&type=@C_Type@' class='edit'>编辑</a></td>");
  
%>
<uc1:pageContent ID="PageContent" runat="server" />
<script type="text/javascript" >

</script>
</body>
</html>   
